> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List clients

> Retrieve clients of the reseller



## OpenAPI

````yaml /api-reference/services_documented/fastedge_reseller_api.yaml get /fastedge/v1/admin/clients
openapi: 3.1.0
info:
  title: Gcore OpenAPI – FastEdge Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-14T07:00:22.640261+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - description: Application templates
    name: Templates
    x-displayName: Templates
  - description: Client-level settings and limits
    name: FastEdge Reseller Clients
    x-displayName: Clients
  - description: >-
      Apps are descriptions of edge apps, that reference the binary and may
      contain app-specific settings, such as environment variables.
    name: FastEdge Reseller Apps
    x-displayName: Apps
  - description: Plans are sets of limits (memory amount, timeout), applied to edge apps
    name: Plans
    x-displayName: Plans
  - description: Client groups for template visibility
    name: Groups
    x-displayName: Groups
  - description: Billing and BI-related APIs
    name: Billing
    x-displayName: Billing
  - name: fastedge_reseller_other
    x-displayName: other
paths:
  /fastedge/v1/admin/clients:
    get:
      tags:
        - FastEdge Reseller Clients
      summary: List clients
      description: Retrieve clients of the reseller
      operationId: listClients
      parameters:
        - description: Filter by client name (case-insensitive partial match)
          in: query
          name: name
          required: false
          schema:
            maxLength: 255
            minLength: 1
            type: string
        - description: Filter by client e-mail address (case-insensitive partial match)
          in: query
          name: email
          required: false
          schema:
            maxLength: 320
            minLength: 3
            type: string
        - description: Filter by group ID (shows clients that belong to this group)
          in: query
          name: group__incl
          required: false
          schema:
            format: int64
            minimum: 1
            type: integer
        - description: Filter by client ID
          in: query
          name: client_id
          required: false
          schema:
            format: int64
            minimum: 1
            type: integer
        - description: Filter by group ID (shows clients that don't belong to this group)
          in: query
          name: group__excl
          required: false
          schema:
            format: int64
            minimum: 1
            type: integer
        - description: Maximum number of results to return
          example: 50
          in: query
          name: limit
          required: false
          schema:
            default: 50
            maximum: 1000
            minimum: 1
            type: integer
        - description: Number of results to skip for pagination
          example: 0
          in: query
          name: offset
          required: false
          schema:
            default: 0
            minimum: 0
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  clients:
                    items:
                      $ref: '#/components/schemas/client_short'
                    type: array
                  count:
                    description: Total number of clients matching the filters
                    type: integer
                required:
                  - clients
                  - count
                type: object
          description: Returns paginated list of clients
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
          description: Bad request
components:
  schemas:
    client_short:
      type: object
      required:
        - id
        - name
        - email
      properties:
        id:
          type: integer
          format: int64
          description: Client ID
        name:
          type: string
          description: Client name
        email:
          type: string
          description: Client e-mail address
    error:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          description: Error message
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````